CVE-2024-1785

CVSS 3.1 Score 5.4 of 10 (medium)

Details

Published Mar 20, 2024

Summary

CVE-2024-1785 is a vulnerability found in the Contests by Rewards Fuel plugin for WordPress, affecting all versions up to and including 2.0.62. The vulnerability allows unauthenticated attackers to update the plugin's settings and inject malicious JavaScript through Cross-Site Request Forgery (CSRF) attacks. This can be achieved by tricking a user with the edit_posts capability into performing an action, such as clicking on a link. There is no need for any privileges to exploit this vulnerability, and user interaction is required. The impact of this vulnerability is considered medium, with low integrity and confidentiality impacts. The availability impact is deemed none, but it poses a risk to organizations as it can lead to unauthorized changes and potential injection of malicious code within their WordPress websites.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-1785 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options